com.amazonaws.services.servermigration.model

## Class UpdateReplicationJobRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.servermigration.model.UpdateReplicationJobRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateReplicationJobRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateReplicationJobRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateReplicationJobRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()`
`Integer` `getFrequency()`
`String` `getLicenseType()`
`Date` `getNextReplicationRunStartTime()`
`String` `getReplicationJobId()`
`String` `getRoleName()`
`int` `hashCode()`
`void` `setDescription(String description)`
`void` `setFrequency(Integer frequency)`
`void` `setLicenseType(LicenseType licenseType)`
`void` `setLicenseType(String licenseType)`
`void` `setNextReplicationRunStartTime(Date nextReplicationRunStartTime)`
`void` `setReplicationJobId(String replicationJobId)`
`void` `setRoleName(String roleName)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateReplicationJobRequest` `withDescription(String description)`
`UpdateReplicationJobRequest` `withFrequency(Integer frequency)`
`UpdateReplicationJobRequest` `withLicenseType(LicenseType licenseType)`
`UpdateReplicationJobRequest` `withLicenseType(String licenseType)`
`UpdateReplicationJobRequest` `withNextReplicationRunStartTime(Date nextReplicationRunStartTime)`
`UpdateReplicationJobRequest` `withReplicationJobId(String replicationJobId)`
`UpdateReplicationJobRequest` `withRoleName(String roleName)`

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateReplicationJobRequest

    public UpdateReplicationJobRequest()

### Method Detail

#### setReplicationJobId

    public void setReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -

#### getReplicationJobId

    public String getReplicationJobId()

Returns:

#### withReplicationJobId

    public UpdateReplicationJobRequest withReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFrequency

    public void setFrequency(Integer frequency)

Parameters:
  `frequency` -

#### getFrequency

    public Integer getFrequency()

Returns:

#### withFrequency

    public UpdateReplicationJobRequest withFrequency(Integer frequency)

Parameters:
  `frequency` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextReplicationRunStartTime

    public void setNextReplicationRunStartTime(Date nextReplicationRunStartTime)

Parameters:
  `nextReplicationRunStartTime` -

#### getNextReplicationRunStartTime

    public Date getNextReplicationRunStartTime()

Returns:

#### withNextReplicationRunStartTime

    public UpdateReplicationJobRequest withNextReplicationRunStartTime(Date nextReplicationRunStartTime)

Parameters:
  `nextReplicationRunStartTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLicenseType

    public void setLicenseType(String licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### getLicenseType

    public String getLicenseType()

Returns:
See Also:
  `LicenseType`

#### withLicenseType

    public UpdateReplicationJobRequest withLicenseType(String licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setLicenseType

    public void setLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### withLicenseType

    public UpdateReplicationJobRequest withLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setRoleName

    public void setRoleName(String roleName)

Parameters:
  `roleName` -

#### getRoleName

    public String getRoleName()

Returns:

#### withRoleName

    public UpdateReplicationJobRequest withRoleName(String roleName)

Parameters:
  `roleName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Parameters:
  `description` -

#### getDescription

    public String getDescription()

Returns:

#### withDescription

    public UpdateReplicationJobRequest withDescription(String description)

Parameters:
  `description` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateReplicationJobRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`